如何为已发布 ASP.NET 启用 4.0

在 IIS ASP.Net 版本。

BizTalk Server Web 服务发布向导依赖于 ASP.NET 中提供的功能,该功能包含在 .NET Framework。 ASP.Net 版本包含在你选择的 .NET CLR 版本中。

本主题演示如何更改 .NET CLR 版本。

必备条件

IIS 包含在操作系统中 (IIS ) 角色的 Web 服务器中。 安装此角色时,还要选择较新版本的 ASP.NET。

更新应用程序池

  1. 打开 Internet Information Services (IIS) Manager

    1. 服务器管理器中,选择"工具"
    2. 选择"Internet Information Services (IIS) 管理器"
  2. 展开服务器名称,然后选择" 应用程序池"

  3. 选择应用池,然后打开"基本"设置

  4. .NET CLR 版本 设置为较新版本,然后选择" 确定 "以保存更改。

注意

还可以更改 web.config 文件中的版本。

允许 ASP.Net 扩展

  1. 打开 Internet Information Services (IIS) Manager

    1. 服务器管理器中,选择"工具"
    2. 选择"Internet Information Services (IIS) 管理器"
  2. 选择服务器名称,然后双击 "ISAPI 和 CGI 限制"

  3. 确认 ASP.NET 32 位和 64 位版本是否允许。

另请参阅

规划发布 Web 服务